Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.metal
Class MetalRadioButtonUI

    java.lang.Object
      |
      +--javax.swing.plaf.ComponentUI
            |
            +--javax.swing.plaf.ButtonUI
                  |
                  +--javax.swing.plaf.basic.BasicButtonUI
                        |
                        +--javax.swing.plaf.basic.BasicToggleButtonUI
                              |
                              +--javax.swing.plaf.basic.BasicRadioButtonUI
                                    |
                                    +--javax.swing.plaf.metal.MetalRadioButtonUI

Direct Known Subclasses:
  MetalCheckBoxUI

public class MetalRadioButtonUI
extends BasicRadioButtonUI

RadioButtonUI implementation for MetalRadioButtonUI

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. A future release of Swing will provide support for long term persistence.

Field Summary
`protected Color` | `disabledTextColor`
`protected Color` | `focusColor`
`protected Color` | `selectColor`

Fields inherited from class javax.swing.plaf.basic.BasicRadioButtonUI
`icon`

Fields inherited from class javax.swing.plaf.basic.BasicButtonUI
`defaultTextIconGap, defaultTextShiftOffset`

Constructor Summary
`MetalRadioButtonUI()`

Method Summary
`static ComponentUI` | `createUI(JComponent c)`
`protected Color` | `getDisabledTextColor()`
`protected Color` | `getFocusColor()`
`protected Color` | `getSelectColor()`
`void` | `installDefaults(AbstractButton b)`
`void` | `paint(Graphics g, JComponent c)` paint the radio button
`protected void` | `paintFocus(Graphics g, Rectangle t, Dimension d)`
`protected void` | `uninstallDefaults(AbstractButton b)`

Methods inherited from class javax.swing.plaf.basic.BasicRadioButtonUI
`getDefaultIcon, getPreferredSize, getPropertyPrefix`

Methods inherited from class javax.swing.plaf.basic.BasicToggleButtonUI
`paintButtonPressed, paintFocus, paintIcon, paintText`

Methods inherited from class javax.swing.plaf.basic.BasicButtonUI
`clearTextShiftOffset, createButtonListener, getDefaultTextIconGap, getMaximumSize, getMinimumSize, getTextShiftOffset, installKeyboardActions, installListeners, installUI, paintIcon, paintText, setTextShiftOffset, uninstallKeyboardActions, uninstallListeners, uninstallUI`

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, getAccessibleChild, getAccessibleChildrenCount, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### focusColor

    protected Color focusColor

### selectColor

    protected Color selectColor

### disabledTextColor

    protected Color disabledTextColor

Constructor Detail

### MetalRadioButtonUI

    public MetalRadioButtonUI()

Method Detail

### createUI

    public static ComponentUI createUI(JComponent c)

### installDefaults

    public void installDefaults(AbstractButton b)

  Overrides:
    `installDefaults` in class `BasicRadioButtonUI`

### uninstallDefaults

    protected void uninstallDefaults(AbstractButton b)

  Overrides:
    `uninstallDefaults` in class `BasicRadioButtonUI`

### getSelectColor

    protected Color getSelectColor()

### getDisabledTextColor

    protected Color getDisabledTextColor()

### getFocusColor

    protected Color getFocusColor()

### paint

    public void paint(Graphics g,
                      JComponent c)

  Description copied from class: `BasicRadioButtonUI`
  paint the radio button
  Overrides:
    `paint` in class `BasicRadioButtonUI`

### paintFocus

    protected void paintFocus(Graphics g,
                              Rectangle t,
                              Dimension d)

  Overrides:
    `paintFocus` in class `BasicRadioButtonUI`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.